Package com.ocient.jdbc.proto

## Interface PlanProtocol.ColDistVirtualOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ColDistVirtualOperator`, `PlanProtocol.ColDistVirtualOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ColDistVirtualOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`PlanProtocol.StatsRequestInfo` `getStatsInfo()` `.xg.db.sqlPlans.StatsRequestInfo statsInfo = 1;`
`PlanProtocol.StatsRequestInfoOrBuilder` `getStatsInfoOrBuilder()` `.xg.db.sqlPlans.StatsRequestInfo statsInfo = 1;`
`boolean` `hasStatsInfo()` `.xg.db.sqlPlans.StatsRequestInfo statsInfo = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasStatsInfo

    boolean hasStatsInfo()

`.xg.db.sqlPlans.StatsRequestInfo statsInfo = 1;`

Returns:
  Whether the statsInfo field is set.

#### getStatsInfo

    PlanProtocol.StatsRequestInfo getStatsInfo()

`.xg.db.sqlPlans.StatsRequestInfo statsInfo = 1;`

Returns:
  The statsInfo.

#### getStatsInfoOrBuilder

    PlanProtocol.StatsRequestInfoOrBuilder getStatsInfoOrBuilder()

`.xg.db.sqlPlans.StatsRequestInfo statsInfo = 1;`